Subject: Regulation (EU) No. 1215/2012 or Brussels Ibis Regulation, civil case no. C88228924
From: Vārds Uzvārds <[email-masked]>
To: "Tartumk info" <[email-masked]>
Date: Sat, 2 Nov 2024 17:39:07 +0200

Tähelepanu! Tegemist on välisvõrgust saabunud kirjaga.
Tundmatu saatja korral palume linke ja faile mitte avada.

Good evening! I was told to write to you that you can help me with my 
question. The debtor from Latvia does not pay me anything after the court 
judgment for debt collection. In Latvia, enforcement proceedings have been 
initiated against him at the bailiff. The debtor has declared in Latvia, but 
works in Valga. I have just written a submission to the Latvian court so 
that they would issue binding documents for the recognition of the judgment 
in Estonia. In which language will I need to translate this document in 
order to file executive proceedings against this person in Estonia - 
Estonian or English? Does the translation have to be certified by the 
translation office? How can I recover these translation costs? To whom and 
what documents will I need to send? Alexander.